de.caff.generics.function

## Interface IntToDoubleFunction3

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IntToDoubleFunction3

  Function with three primitive integer arguments and a primitive double result.
  Since:
    November 27, 2020
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `applyAsDouble(int value1, int value2, int value3)` Apply this function to the given 3 arguments.
    `default IntToDoubleFunction2` | `partial1(int value1)` View this function as one with 2 arguments using a fix first argument.
    `default IntToDoubleFunction2` | `partial2(int value2)` View this function as one with 2 arguments using a fix second argument.
    `default IntToDoubleFunction2` | `partial3(int value3)` View this function as one with 2 arguments using a fix third argument.

- - ### Method Detail

    - #### applyAsDouble

          double applyAsDouble(int value1,
                               int value2,
                               int value3)

      Apply this function to the given 3 arguments.
      Parameters:
        `value1` - first argument
        `value2` - second argument
        `value3` - third argument
      Returns:
        the function result

    - #### partial1

          @NotNull
          default IntToDoubleFunction2 partial1(int value1)

      View this function as one with 2 arguments using a fix first argument.
      Parameters:
        `value1` - fix first argument
      Returns:
        function expecting the remaining 2 arguments in order

    - #### partial2

          @NotNull
          default IntToDoubleFunction2 partial2(int value2)

      View this function as one with 2 arguments using a fix second argument.
      Parameters:
        `value2` - fix second argument
      Returns:
        function expecting the remaining 2 arguments in order

    - #### partial3

          @NotNull
          default IntToDoubleFunction2 partial3(int value3)

      View this function as one with 2 arguments using a fix third argument.
      Parameters:
        `value3` - fix third argument
      Returns:
        function expecting the remaining 2 arguments in order